## cascading.flow.stack
Class FlowReducerStack

    java.lang.Object
      cascading.flow.stack.FlowReducerStack

    public class FlowReducerStack

extends Object

Constructor Summary
`FlowReducerStack(HadoopFlowProcess flowProcess)`

Method Summary
`void` `close()`
`void` `reduce(Object key, Iterator values, OutputCollector output)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowReducerStack

    public FlowReducerStack(HadoopFlowProcess flowProcess)
                     throws IOException

Throws:
  `IOException`

Method Detail

### reduce

    public void reduce(Object key,
                       Iterator values,
                       OutputCollector output)
                throws IOException

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.